#pragma once
#ifndef TEXTURE_H
#define TEXTURE_H

#include <QObject>
#include <QImage>
#include <QtOpenGL>
#include <QOpenGLFunctions_4_3_Core>

class Texture
{
public:
    Texture();
    ~Texture();

    void bind(QOpenGLFunctions_4_3_Core *f, GLenum textureUnit);
    void Load(GLenum TextureTarget, const QString FileName);

private:
    QString fileName;
    GLenum textureTarget;
    GLuint textureObj;
};

#endif // TEXTURE_H
